Главная > Мануалы, Софт > Установка phpMyAdmin из исходных кодов

Установка phpMyAdmin из исходных кодов

Очень многих интересует процесс инсталляции phpMyAdmin именно из исходников. Существует как минимум две основных причины, по которым гораздо удобнее устанавливать данное web-приложение именно из исходников:
1.При установке через систему пакетов во многих дистрибутивах операционной системы Linux вместе с phpMyAdmin устанавливается еще и web-сервер Apache, который на настоящий момент используется не у всех;
2. В PHPMyAdmin довольно часто обнаруживаются различного рода уязвимости, а обновления данного пакета в репозитории некоторых дистрибутивов поступают не очень оперативно.
Для установки phpMyAdmin из исходных кодов нам потребуется установленный web-сервер с PHP и MySQL.
Самую свежую версию phpMyAdmin можно найти на официальном сайте, куда и направимся. Я рекомендую устанавливать релизные версии, поскольку у бета-версии могут оказаться нестабильными, а это не очень хорошо может сказаться на работе сервера в целом.
Извлекаем из архива скрипиты phpMyAdmin и помещаем их в директорию web-сервера (/var/www/ по умолчанию). При этом я советую для удобства переименовать директорию со скриптами во что-нибудь более простое, например в phpmyadmin.
Скопируем конфиг cp /var/www/phpmyadmin/config.sample.inc.php /var/www/phpmyadmin/config.inc.php и немного отредактируем его, прописав секретную фразу в секцию
$cfg['blowfish_secret'] = 'секретная_фраза';
Далее заходим по URL http://имя_Вашего_хоста/phpmyadmin и видим форму входа в web-приложение. Для авторизации необходимо ввести имя пользователя базы данных MySQL.

Примечание.
После установки phpMyAdmin может сообщать об отсутствующем расширении mcrypt. Если у Вас Debian или Ubuntu, то данное расширение просто установить следующей командой:
apt-get install php5-mcrypt

  1. 15 Февраль 2011 в 04:21 | #1

    $ sudo apt-get install phpmyadmin
    ;)

  2. Иван
    15 Февраль 2011 в 10:49 | #2

    @Ilya Ableev
    Да, но во многих случаях он подтягивает с собой Apache ;) Да и версия в репозиториях часто устаревшая.

  3. 11 Март 2011 в 08:11 | #3

    @Иван
    http://ivanosipov.ru/?p=335&cpage=1#comment-419
    ;)
    > устаревшая
    зато стабильная :)

  1. 7 Январь 2011 в 19:04 | #1
Потребление памяти: 26.6MB